## Submitting an issue

When reporting a bug, please describe it thoroughly, with attached code showcasing how are you using this library. The
best way how to make it easy for developers, and ensure that your issue will be looked at, is to replicate it on
[jsfiddle](http://jsfiddle.net/) or a similar service.

## Contributions

Contributions are welcome! But please, follow these few simple rules:

**Maintain the coding style** used throughout the project, and defined in the `.editorconfig` file. You can use the
[Editorconfig](http://editorconfig.org) plugin for your editor of choice:

- [Sublime Text 2](https://github.com/sindresorhus/editorconfig-sublime)
- [Textmate](https://github.com/Mr0grog/editorconfig-textmate)
- [Notepad++](https://github.com/editorconfig/editorconfig-notepad-plus-plus)
- [Emacs](https://github.com/editorconfig/editorconfig-emacs)
- [Vim](https://github.com/editorconfig/editorconfig-vim)
- [Visual Studio](https://github.com/editorconfig/editorconfig-visualstudio)
- [... other editors](http://editorconfig.org/#download)

---

**Code has to pass JSHint** with options defined in the `.jshintrc` file. You can use `grunt jshint` task to lint
manually, or again, there are amazing plugins for a lot of popular editors consuming this file and linting as you code:

- [Sublim Text 2](https://github.com/SublimeLinter/SublimeLinter)
- [TextMate](http://rondevera.github.com/jslintmate/), or [alternative](http://fgnass.posterous.com/jslint-in-textmate)
- [Notepad++](http://sourceforge.net/projects/jslintnpp/)
- [Emacs](https://github.com/daleharvey/jshint-mode)
- [Vim](https://github.com/walm/jshint.vim)
- [Visual Studio](https://github.com/jamietre/SharpLinter), or [alternative](http://jslint4vs2010.codeplex.com/)
- [... other editors](http://www.jshint.com/platforms/)